Bug 561389 - amavisd-new always reports Shutting down amavisd: Daemon [19248] terminated by SIGTERM
Summary: amavisd-new always reports Shutting down amavisd: Daemon [19248] terminated b...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: amavisd-new   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-03 15:42 UTC by John Griffiths
Modified: 2010-12-17 20:46 UTC (History)
5 users (show)

Fixed In Version: amavisd-new-2.6.4-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-26 21:04:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
send non error messages to stdout (804 bytes, patch)
2010-03-13 23:00 UTC, Sandro Janke
no flags Details | Diff

Description John Griffiths 2010-02-03 15:42:18 UTC
Description of problem:
amavisd-new always reports Shutting down amavisd: Daemon [19248] terminated by SIGTERM which shows up in daily email from spamassassin when amavisd is restarted by the spamassassin cron job.

Version-Release number of selected component (if applicable):
amavisd-new-2.6.4-1.fc12.noarch

How reproducible:


Steps to Reproduce:
1. Stop or restart or condrestart amavisd
2.
3.
  
Actual results:
Shutting down amavisd: Daemon [19248] terminated by SIGTERM

Expected results:
If the daemon is shutting down normally, then don't report it. If it is not shutting down normally, then fix it so is does.

Additional info:

Comment 1 Sandro Janke 2010-03-13 23:00:21 UTC
Created attachment 399917 [details]
send non error messages to stdout

The trick is to use the correct file descriptor. Amavisd should report errors - and *only* errors - to stderr and everything else to stdout.

The patch attached does the trick for me.

Comment 2 John Griffiths 2010-03-16 02:33:53 UTC
Patched. I'll report back.

Comment 3 John Griffiths 2010-03-16 19:40:15 UTC
Patch worked. Hope this gets into the build package.

Comment 4 Bug Zapper 2010-11-03 23:09:44 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Sandro Janke 2010-11-05 19:47:57 UTC
Please change version to 13. F13 is still using the exact same package.

Comment 6 John Griffiths 2010-11-05 19:50:29 UTC
Still happening in F13 and the same patch still corrects the problem.

Comment 7 Marcela Mašláňová 2010-11-08 12:12:10 UTC
Wouldn't be better to send this patch to upstream? They are preparing new release and your patch can be included there.

This bug can be reproduced also on F-14 and rawhide.

Comment 8 Sandro Janke 2010-11-08 19:43:47 UTC
(In reply to comment #7)
> Wouldn't be better to send this patch to upstream? They are preparing new
> release and your patch can be included there.

Well, I'll suppose that's up to the package maintainer. But, I'll be happy to report upstream if someone can tell me where to go. I looked at the projects website [1], but can't find a bug tracker or the like.

[1] http://www.ijs.si/software/amavisd/

Comment 9 Marcela Mašláňová 2010-11-09 08:56:13 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Wouldn't be better to send this patch to upstream? They are preparing new
> > release and your patch can be included there.
> 
> Well, I'll suppose that's up to the package maintainer. But, I'll be happy to
> report upstream if someone can tell me where to go. I looked at the projects
> website [1], but can't find a bug tracker or the like.
> 
> [1] http://www.ijs.si/software/amavisd/

I also didn't find any email.

At least I add your patch in F-13,14,rawhide. I hope Steve won't mind.

Comment 10 Fedora Update System 2010-11-09 09:04:27 UTC
amavisd-new-2.6.4-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/amavisd-new-2.6.4-2.fc13

Comment 11 Fedora Update System 2010-11-09 09:06:16 UTC
amavisd-new-2.6.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/amavisd-new-2.6.4-2.fc14

Comment 12 Sandro Janke 2010-11-09 19:34:42 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > Wouldn't be better to send this patch to upstream? They are preparing new
> > > release and your patch can be included there.
> > 
> > Well, I'll suppose that's up to the package maintainer. But, I'll be happy to
> > report upstream if someone can tell me where to go. I looked at the projects
> > website [1], but can't find a bug tracker or the like.
> > 
> > [1] http://www.ijs.si/software/amavisd/
> 
> I also didn't find any email.
> 
> At least I add your patch in F-13,14,rawhide. I hope Steve won't mind.

Thanks a lot. I'm sure many system administrators won't mind getting less pointless mails.

Comment 13 Fedora Update System 2010-11-10 01:17:39 UTC
amavisd-new-2.6.4-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amavisd-new'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/amavisd-new-2.6.4-2.fc14

Comment 14 Fedora Update System 2010-11-26 21:04:38 UTC
amavisd-new-2.6.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-11-26 21:12:21 UTC
amavisd-new-2.6.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Dennis Krul 2010-12-16 09:45:18 UTC
This issue seems to be still present on Fedora 13 with this patch:

# rpm -qv amavisd-new
amavisd-new-2.6.4-2.fc13.noarch

# service amavisd restart
Shutting down amavisd: Daemon [23352] terminated by SIGTERM
                                                           [  OK  ]
amavisd stopped
Starting amavisd:                                          [  OK  ]

I still receive mails from cron when sa-update restarts amavisd.

Comment 17 Sandro Janke 2010-12-17 20:46:35 UTC
Sure, the output will show, but on stdout as expected for non-error messages. The thing is '/usr/share/spamassassin/sa-update.cron' is calling a restart on amavisd when it has installed updates and redirects stdout to /dev/null, thus the cronjob should not receive any output unless there is an error during restart.

In the previous release

# service amavisd restart > /dev/null

would have produced output (namely: 'Daemon [23352] terminated by SIGTERM') which came directly from amavisd. Amavisd is not reporting any error here, so it shouldn't be using stderr.

In the new release this is no longer the case.


Note You need to log in before you can comment on or make changes to this bug.